## qad 0.0~git20230808.ae0c099%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddir=build-dir

## qad 0.0~git20230808.ae0c099+dfsg

=== meson_options.txt ===
option(
    'backend-ilm',
    type: 'boolean',
    value: false,
    description: 'Enable the ILM QAD backend'
)

=== debian/changelog ===
qad (0.0~git20230808.ae0c099+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:28:01 +1100

qad (0.0~git20230808.ae0c099+dfsg-1build2) noble; urgency=high

  * No change rebuild against libmicrohttpd12t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:51:21 +0100

qad (0.0~git20230808.ae0c099+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:53:43 +0000

qad (0.0~git20230808.ae0c099+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1043288)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 08 Aug 2023 18:25:34 +0100

=== debian/control ===
Source: qad
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson,
 libcjson-dev,
 pkg-config,
 libmicrohttpd-dev,
 libdrm-dev,
 libpng-dev
Standards-Version: 4.6.2
Homepage: https://gitlab.com/CodethinkLabs/qad/qad/
Vcs-Browser: https://salsa.debian.org/sudip/qad
Vcs-Git: https://salsa.debian.org/sudip/qad.git

Package: qad
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Simple, REST-API compliant daemon for automated testing
 This is a simple, REST-API compliant daemon which makes automated testing
 on hardware possible by removing the need for physical intervention as
 Q.A.D allows inputs to be injected via http/https requests. This both
 eliminates the need to physically interact with the rig and allows for
 tasks to be carried out entirely automatically.
 .
 Q.A.D. can also take a screenshot and send it back to invoker.

## qad 0.0~git20240206.43adc42%2Bdfsg

=== meson_options.txt ===
--- 
+++ 
@@ -5,3 +5,16 @@
     description: 'Enable the ILM QAD backend'
 )
 
+option(
+    'backend-kms',
+    type: 'boolean',
+    value: true,
+    description: 'Enable the KMS QAD backend'
+)
+
+option(
+    'static',
+    type: 'boolean',
+    value: true,
+    description: 'Link statically where possible'
+)

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: qad
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  meson,
  libcjson-dev,
- pkg-config,
+ pkgconf,
  libmicrohttpd-dev,
  libdrm-dev,
  libpng-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/CodethinkLabs/qad/qad/
 Vcs-Browser: https://salsa.debian.org/sudip/qad
 Vcs-Git: https://salsa.debian.org/sudip/qad.git

## qad 0.0~git20240206.43adc42+dfsg

=== debian/changelog ===
qad (0.0~git20240206.43adc42+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0~git20240206.43adc42+dfsg
    - New upstream version fixes gcc-15 FTBFS. (Closes: #1097685)
    - Do not use static.
    - Do not build static binary.
  * Use pkgconf instead of pkg-config.
  * Update Standards-Version to 4.7.2
  * Remove old fsf address from d/copyright.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 17 Sep 2025 21:07:41 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddir=build-dir

override_dh_auto_configure:
	dh_auto_configure -- -Dstatic=false

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//, mode=git, pgpmode=none" \
 https://gitlab.com/CodethinkLabs/qad/qad.git \
  HEAD debian uupdate

## qad 0.1.0

=== DESCRIPTION ===
Package: qad
Type: Package
Title: Quantification of Asymmetric Dependence
Version: 0.1.0
Author: Florian Griessenberger, Robert R. Junker, Wolfgang Trutschnig
Maintainer: Florian Griessenberger <Florian.Griessenberger@sbg.ac.at>
Description: A copula-based measure for quantifying asymmetry in dependence and associations.     
License: GPL-2
Encoding: UTF-8
LazyData: true
Depends: data.table, ggplot2
Imports: foreach, doParallel, copula, plyr, parallel
RoxygenNote: 6.1.0
NeedsCompilation: no
Packaged: 2018-12-14 20:23:18 UTC; Florian
Repository: CRAN
Date/Publication: 2018-12-23 16:20:10 UTC

## qad 0.1.1

=== DESCRIPTION ===
Package: qad
Type: Package
Title: Quantification of Asymmetric Dependence
Version: 0.1.1
Author: Florian Griessenberger, Robert R. Junker, Wolfgang Trutschnig
Maintainer: Florian Griessenberger <Florian.Griessenberger@sbg.ac.at>
Description: A copula-based measure for quantifying asymmetry in dependence and associations.     
License: GPL-2
Encoding: UTF-8
LazyData: true
Depends: ggplot2
Imports: data.table, foreach, doParallel, copula, plyr, parallel,
        viridis
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2019-07-18 06:56:57 UTC; Florian
Repository: CRAN
Date/Publication: 2019-07-18 07:22:03 UTC

## qad 0.1.2

=== DESCRIPTION ===
Package: qad
Type: Package
Title: Quantification of Asymmetric Dependence
Version: 0.1.2
Author: Florian Griessenberger, Robert R. Junker, Wolfgang Trutschnig
Maintainer: Florian Griessenberger <Florian.Griessenberger@sbg.ac.at>
Description: A copula-based measure for quantifying asymmetry in dependence and associations.     
License: GPL-2
Encoding: UTF-8
LazyData: true
Depends: ggplot2
Imports: data.table, foreach, doParallel, copula, plyr, parallel,
        viridis
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-03-23 11:56:13 UTC; Florian
Repository: CRAN
Date/Publication: 2020-03-23 13:10:02 UTC

## qad 0.2.0

=== DESCRIPTION ===
Package: qad
Type: Package
Title: Quantification of Asymmetric Dependence
Version: 0.2.0
Authors@R: c(
    person("Florian", "Griessenberger", , "florian.griessenberger@sbg.ac.at", role = c("aut", "cre")
    ),
    person("Robert R.", "Junker", role = "aut"
    ),
    person("Wolfgang", "Trutschnig", role = "aut")
    )
Description: A copula-based measure for quantifying asymmetry in dependence and associations.     
License: GPL-2
Encoding: UTF-8
LazyData: true
Depends: ggplot2, R (>= 2.10)
Imports: data.table, foreach, doParallel, copula, parallel, viridis,
        ggExtra, dplyr
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-05-29 07:03:11 UTC; Florian
Author: Florian Griessenberger [aut, cre],
  Robert R. Junker [aut],
  Wolfgang Trutschnig [aut]
Maintainer: Florian Griessenberger <florian.griessenberger@sbg.ac.at>
Repository: CRAN
Date/Publication: 2020-05-29 12:00:03 UTC

## qad 1.0.0

=== DESCRIPTION ===
Package: qad
Type: Package
Title: Quantification of Asymmetric Dependence
Version: 1.0.0
Authors@R: 
    c(person(given = "Florian", 
             family = "Griessenberger", 
             role = c("aut", "cre"), 
             email = "florian.griessenberger@sbg.ac.at"),
      person(given = "Robert R.",
             family = "Junker", 
             role = "aut"),
      person(given = "Valentin",
             family = "Petzel", 
             role = "aut"),
      person(given = "Wolfgang", 
             family = "Trutschnig", 
             role = "aut"))
Description: A copula-based measure for quantifying asymmetry in dependence and associations. Documentation and theory about 'qad' is provided
    by the paper by Junker, Griessenberger & Trutschnig (2021, <doi:10.1016/j.csda.2020.107058>), and the paper by Trutschnig (2011, <doi:10.1016/j.jmaa.2011.06.013>).
License: GPL-2
URL: https://doi.org/10.1016/j.csda.2020.107058
Encoding: UTF-8
LazyData: true
Depends: R (>= 2.10)
Imports: ggplot2, data.table, copula, viridis, ggExtra, dplyr, cowplot,
        Rcpp (>= 1.0.6)
RoxygenNote: 7.1.1
LinkingTo: Rcpp
NeedsCompilation: yes
Packaged: 2021-02-27 10:43:07 UTC; Florian
Author: Florian Griessenberger [aut, cre],
  Robert R. Junker [aut],
  Valentin Petzel [aut],
  Wolfgang Trutschnig [aut]
Maintainer: Florian Griessenberger <florian.griessenberger@sbg.ac.at>
Repository: CRAN
Date/Publication: 2021-02-27 15:20:06 UTC

## qad 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qad
 Type: Package
 Title: Quantification of Asymmetric Dependence
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: 
     c(person(given = "Florian", 
              family = "Griessenberger", 
@@ -19,20 +19,23 @@
 Description: A copula-based measure for quantifying asymmetry in dependence and associations. Documentation and theory about 'qad' is provided
     by the paper by Junker, Griessenberger & Trutschnig (2021, <doi:10.1016/j.csda.2020.107058>), and the paper by Trutschnig (2011, <doi:10.1016/j.jmaa.2011.06.013>).
 License: GPL-2
-URL: https://doi.org/10.1016/j.csda.2020.107058
+URL: https://github.com/griefl/qad
+BugReports: https://github.com/griefl/qad/issues
 Encoding: UTF-8
-LazyData: true
 Depends: R (>= 2.10)
 Imports: ggplot2, data.table, copula, viridis, ggExtra, dplyr, cowplot,
         Rcpp (>= 1.0.6)
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 LinkingTo: Rcpp
+Suggests: rmarkdown, reshape2, knitr, testthat (>= 3.0.0)
+Config/testthat/edition: 3
+VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2021-02-27 10:43:07 UTC; Florian
+Packaged: 2021-12-02 13:41:22 UTC; Florian
 Author: Florian Griessenberger [aut, cre],
   Robert R. Junker [aut],
   Valentin Petzel [aut],
   Wolfgang Trutschnig [aut]
 Maintainer: Florian Griessenberger <florian.griessenberger@sbg.ac.at>
 Repository: CRAN
-Date/Publication: 2021-02-27 15:20:06 UTC
+Date/Publication: 2021-12-02 14:30:02 UTC

## qad 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qad
 Type: Package
 Title: Quantification of Asymmetric Dependence
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: 
     c(person(given = "Florian", 
              family = "Griessenberger", 
@@ -30,12 +30,13 @@
 Suggests: rmarkdown, reshape2, knitr, testthat (>= 3.0.0)
 Config/testthat/edition: 3
 VignetteBuilder: knitr
+LazyData: true
 NeedsCompilation: yes
-Packaged: 2021-12-02 13:41:22 UTC; Florian
+Packaged: 2022-06-23 15:10:36 UTC; Florian
 Author: Florian Griessenberger [aut, cre],
   Robert R. Junker [aut],
   Valentin Petzel [aut],
   Wolfgang Trutschnig [aut]
 Maintainer: Florian Griessenberger <florian.griessenberger@sbg.ac.at>
 Repository: CRAN
-Date/Publication: 2021-12-02 14:30:02 UTC
+Date/Publication: 2022-06-23 15:30:02 UTC

## qad 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Package: qad
 Type: Package
 Title: Quantification of Asymmetric Dependence
-Version: 1.0.2
+Version: 1.0.3
 Authors@R: 
-    c(person(given = "Florian", 
+    c(person(given = "Thimo", 
+             family = "Kasper", 
+             role = c("aut", "cre"), 
+             email = "thimo.kasper@plus.ac.at"),
+      person(given = "Florian", 
              family = "Griessenberger", 
-             role = c("aut", "cre"), 
-             email = "florian.griessenberger@sbg.ac.at"),
+             role = "aut"),
       person(given = "Robert R.",
              family = "Junker", 
              role = "aut"),
@@ -32,11 +35,12 @@
 VignetteBuilder: knitr
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2022-06-23 15:10:36 UTC; Florian
-Author: Florian Griessenberger [aut, cre],
+Packaged: 2022-07-05 08:56:06 UTC; Florian
+Author: Thimo Kasper [aut, cre],
+  Florian Griessenberger [aut],
   Robert R. Junker [aut],
   Valentin Petzel [aut],
   Wolfgang Trutschnig [aut]
-Maintainer: Florian Griessenberger <florian.griessenberger@sbg.ac.at>
+Maintainer: Thimo Kasper <thimo.kasper@plus.ac.at>
 Repository: CRAN
-Date/Publication: 2022-06-23 15:30:02 UTC
+Date/Publication: 2022-07-05 14:20:05 UTC

## qad 1.0.4

=== DESCRIPTION ===
Package: qad
Type: Package
Title: Quantification of Asymmetric Dependence
Version: 1.0.4
Author: Thimo Kasper <thimo.kasper@plus.ac.at>,
  Florian Griessenberger <florian.griessenberger@plus.ac.at>,
  Robert R. Junker <>,
  Valentin Petzel <valetin.petzel@sbg.ac.at>,
  Wolfgang Trutschnig <wolfgang.trutschnig@plus.ac.at>    
Description: A copula-based measure for quantifying asymmetry in dependence and associations. Documentation and theory about 'qad' is provided
    by the paper by Junker, Griessenberger & Trutschnig (2021, <doi:10.1016/j.csda.2020.107058>), and the paper by Trutschnig (2011, <doi:10.1016/j.jmaa.2011.06.013>).
License: GPL-2
URL: https://github.com/griefl/qad
BugReports: https://github.com/griefl/qad/issues
Encoding: UTF-8
Depends: R (>= 2.10)
Imports: ggplot2, data.table, copula, viridis, ggExtra, dplyr, cowplot,
        Rcpp (>= 1.0.6)
RoxygenNote: 7.1.2
LinkingTo: Rcpp
Suggests: rmarkdown, reshape2, knitr, testthat (>= 3.0.0)
Config/testthat/edition: 3
VignetteBuilder: knitr
LazyData: true
NeedsCompilation: yes
Packaged: 2022-12-13 15:45:30 UTC; EXT99500
Maintainer: Nicolas Dietrich <nicolaspascal.dietrich@plus.ac.at>
Repository: CRAN
Date/Publication: 2022-12-14 16:50:02 UTC

## qad 1.0.5

=== DESCRIPTION ===
Package: qad
Type: Package
Title: Quantification of Asymmetric Dependence
Version: 1.0.5
Authors@R: c(person(given = "Thimo", family = "Kasper", role = "aut", email = "thimo.kasper@plus.ac.at"),
             person(given = "Florian", family = "Griessenberger", role = "aut", email = "florian.griessenberger@plus.ac.at"),
             person(given = c("Robert", "R."), family = "Junker", role = "aut"),
             person(given = "Valentin", family = "Petzel", role = "aut", email = "valetin.petzel@sbg.ac.at"),
             person(given = "Wolfgang", family = "Trutschnig", role = "aut", email = "wolfgang.trutschnig@plus.ac.at"),
             person(given = "Lea", family = "Maislinger", role = "cre", email = "lea.maislinger@plus.ac.at"))
Description: A copula-based measure for quantifying asymmetry in dependence and associations. Documentation and theory about 'qad' is provided
    by the paper by Junker, Griessenberger & Trutschnig (2021, <doi:10.1016/j.csda.2020.107058>), and the paper by Trutschnig (2011, <doi:10.1016/j.jmaa.2011.06.013>).
License: GPL-2
URL: https://github.com/griefl/qad
BugReports: https://github.com/griefl/qad/issues
Encoding: UTF-8
Depends: R (>= 2.10)
Imports: ggplot2, data.table, copula, viridis, ggExtra, dplyr, cowplot,
        Rcpp (>= 1.0.6)
RoxygenNote: 7.3.2
LinkingTo: Rcpp
Suggests: rmarkdown, reshape2, knitr, testthat (>= 3.0.0)
Config/testthat/edition: 3
VignetteBuilder: knitr
LazyData: true
NeedsCompilation: yes
Packaged: 2025-07-01 13:43:28 UTC; b1082470
Maintainer: Lea Maislinger <lea.maislinger@plus.ac.at>
Repository: CRAN
Date/Publication: 2025-07-02 08:40:02 UTC
Author: Thimo Kasper [aut],
  Florian Griessenberger [aut],
  Robert R. Junker [aut],
  Valentin Petzel [aut],
  Wolfgang Trutschnig [aut],
  Lea Maislinger [cre]

## qad 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: qad
 Type: Package
 Title: Quantification of Asymmetric Dependence
-Version: 1.0.5
+Version: 1.0.6
 Authors@R: c(person(given = "Thimo", family = "Kasper", role = "aut", email = "thimo.kasper@plus.ac.at"),
              person(given = "Florian", family = "Griessenberger", role = "aut", email = "florian.griessenberger@plus.ac.at"),
              person(given = c("Robert", "R."), family = "Junker", role = "aut"),
@@ -24,10 +24,10 @@
 VignetteBuilder: knitr
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2025-07-01 13:43:28 UTC; b1082470
+Packaged: 2025-10-01 15:01:05 UTC; b1082470
 Maintainer: Lea Maislinger <lea.maislinger@plus.ac.at>
 Repository: CRAN
-Date/Publication: 2025-07-02 08:40:02 UTC
+Date/Publication: 2025-10-01 15:30:02 UTC
 Author: Thimo Kasper [aut],
   Florian Griessenberger [aut],
   Robert R. Junker [aut],
